
require( "scripts/style.lua" );

MetricsMode(10);
				
LoadingFont = {
  standardFont,
  35,
  Color(255,255,255,255)
};

LoadingFont_S = {
  standardFont,
  35,
  Color(0,0,0,200)
};	

MakeDialog
{
	Bitmap
	{ 
		name="backgroundimage",
		image="Game/UI/Loading/LoadingScreen",	

		Loading
		{ 
			x=0,
			y=0,
			w=800,
			h=600,
			

			Bitmap
			{ 
				name="foot",
				image="Game/UI/Loading/LoadingFoot.jpg",	
				x = 800-169,
				y = 600-136,
				w = 169,
				h = 136,		
			},
				
			Bitmap
			{ 
				name="bar",
				image="Game/UI/Loading/LoadingBar.jpg",	
				x = 41,
				y = 369,
				w = 463,
				h = 49,		
			},			
	
			Text
			{
				font = LoadingFont_S,
				name = "loadingshadow",
				x=41+1,
				y=369+1,
				w=463,
				h=52,
				flags = kVAlignCenter + kHAlignCenter,
				label = "Loading",
			},			

			Text
			{
				font = LoadingFont,
				name = "loading",
				x=41-1,
				y=369-1,
				w=463,
				h=52,
				flags = kVAlignCenter + kHAlignCenter,
				label = "Loading",
			},				
		},	
			
	},
	

}

function ContinueToMainMenu ( )
	CloseWindow(nil);
end
